PlatformTypeDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.PlatformTypeDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class PlatformTypeDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.appdef.server.session.PlatformTypeDAO

    public class PlatformTypeDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`PlatformTypeDAO(DAOFactory f)`

Method Summary
`PlatformType` | `create(java.lang.String name, java.lang.String plugin)`
`PlatformType` | `findById(java.lang.Integer id)`
`PlatformType` | `findByName(java.lang.String name)`
`java.util.Collection` | `findByPlugin(java.lang.String plugin)`
`PlatformType` | `get(java.lang.Integer id)`
`void` | `remove(PlatformType entity)`
`void` | `save(PlatformType entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformTypeDAO

    public PlatformTypeDAO(DAOFactory f)

Method Detail

### findById

    public PlatformType findById(java.lang.Integer id)

### get

    public PlatformType get(java.lang.Integer id)

### save

    public void save(PlatformType entity)

### remove

    public void remove(PlatformType entity)

### create

    public PlatformType create(java.lang.String name,
                               java.lang.String plugin)

### findByName

    public PlatformType findByName(java.lang.String name)

### findByPlugin

    public java.util.Collection findByPlugin(java.lang.String plugin)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.